package com.zjsgfa.project.zjsgfa.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zjsgfa.framework.aspectj.lang.annotation.Excel;
import com.zjsgfa.framework.web.domain.BaseEntity;

/**
 * 设计-周期分析对象 sj_zqfx
 * 
 * @author ruoyi
 * @date 2025-07-22
 */
public class SjZqfx extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 井号 */
//    @Excel(name = "井号")
    private String jh;

    /** 邻井井号 */
    @Excel(name = "井号")
    private String ljjh;

    /** 井筒名 */
//    @Excel(name = "井筒名")
    private String jtm;

    /** 开始井深 */
    @Excel(name = "开始井深")
    private Double ksjs;

    /** 结束井深 */
    @Excel(name = "结束井深")
    private Double js;

    /** 开次 */
    @Excel(name = "开次")
    private String kc;

    /** 进尺 */
    @Excel(name = "进尺")
    private Double jc;

    /** 到达层位 */
    @Excel(name = "到达层位")
    private String cw;

    /** 钻进实际周期 */
    @Excel(name = "钻进实际周期")
    private Double zjzq;

    /** 钻进异常周期 */
    @Excel(name = "钻进异常周期")
    private Double zjycsl;

    /** 钻进生产周期 */
    @Excel(name = "钻进生产周期")
    private Double zjsczq;

    /** 钻进速率 */
    @Excel(name = "钻进速率")
    private Double zjsl;

    /** 中完实际周期 */
    @Excel(name = "中完实际周期")
    private Double zwzq;

    /** 完井异常周期 */
    @Excel(name = "完井异常周期")
    private Double wjycsl;

    /** 完井（中完）生产周期 */
    @Excel(name = "完井生产周期")
    private Double wjsczq;

    /** 钻井异常描述 */
    @Excel(name = "钻井异常描述")
    private String zjycms;

    /** 中完（完井异常描述） */
    @Excel(name = "中完异常描述")
    private String wjycms;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setJh(String jh) 
    {
        this.jh = jh;
    }

    public String getJh() 
    {
        return jh;
    }

    public void setLjjh(String ljjh) 
    {
        this.ljjh = ljjh;
    }

    public String getLjjh() 
    {
        return ljjh;
    }

    public void setJtm(String jtm) 
    {
        this.jtm = jtm;
    }

    public String getJtm() 
    {
        return jtm;
    }

    public void setKsjs(Double ksjs) 
    {
        this.ksjs = ksjs;
    }

    public Double getKsjs() 
    {
        return ksjs;
    }

    public void setJs(Double js) 
    {
        this.js = js;
    }

    public Double getJs() 
    {
        return js;
    }

    public void setKc(String kc) 
    {
        this.kc = kc;
    }

    public String getKc() 
    {
        return kc;
    }

    public void setJc(Double jc) 
    {
        this.jc = jc;
    }

    public Double getJc() 
    {
        return jc;
    }

    public void setCw(String cw) 
    {
        this.cw = cw;
    }

    public String getCw() 
    {
        return cw;
    }

    public void setZjzq(Double zjzq) 
    {
        this.zjzq = zjzq;
    }

    public Double getZjzq() 
    {
        return zjzq;
    }

    public void setZjycsl(Double zjycsl) 
    {
        this.zjycsl = zjycsl;
    }

    public Double getZjycsl() 
    {
        return zjycsl;
    }

    public void setZjsczq(Double zjsczq) 
    {
        this.zjsczq = zjsczq;
    }

    public Double getZjsczq() 
    {
        return zjsczq;
    }

    public void setZjsl(Double zjsl) 
    {
        this.zjsl = zjsl;
    }

    public Double getZjsl() 
    {
        return zjsl;
    }

    public void setZwzq(Double zwzq) 
    {
        this.zwzq = zwzq;
    }

    public Double getZwzq() 
    {
        return zwzq;
    }

    public void setWjycsl(Double wjycsl) 
    {
        this.wjycsl = wjycsl;
    }

    public Double getWjycsl() 
    {
        return wjycsl;
    }

    public void setWjsczq(Double wjsczq) 
    {
        this.wjsczq = wjsczq;
    }

    public Double getWjsczq() 
    {
        return wjsczq;
    }

    public void setZjycms(String zjycms) 
    {
        this.zjycms = zjycms;
    }

    public String getZjycms() 
    {
        return zjycms;
    }

    public void setWjycms(String wjycms) 
    {
        this.wjycms = wjycms;
    }

    public String getWjycms() 
    {
        return wjycms;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("jh", getJh())
            .append("ljjh", getLjjh())
            .append("jtm", getJtm())
            .append("ksjs", getKsjs())
            .append("js", getJs())
            .append("kc", getKc())
            .append("jc", getJc())
            .append("cw", getCw())
            .append("zjzq", getZjzq())
            .append("zjycsl", getZjycsl())
            .append("zjsczq", getZjsczq())
            .append("zjsl", getZjsl())
            .append("zwzq", getZwzq())
            .append("wjycsl", getWjycsl())
            .append("wjsczq", getWjsczq())
            .append("zjycms", getZjycms())
            .append("wjycms", getWjycms())
            .toString();
    }
}
